Subject: Re: bug#36911: 26.1; Impossible to customise vc-ignore-dir-regexp

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 25 Aug 2019 07:35:22 +0200

Juliusz Chroboczek <[email-masked]> writes:

>>>> vc-ignore-dir-regexp is a variable defined in ‘vc-hooks.el’.
>>>> Its value is
>>>> "\\`\\(?:[\\/][\\/][^\\/]+[\\/]\\|/\\(?:net\\|afs\\|\\.\\.\\.\\)/\\)\\'"

[...]

>> I'm not sure why it's impossible to customise that variable?  You can
>> just set it to "/my/ignored/directory" and that should work.
>
>> (You'd lose the original value, which is about AFS and SMB mounts, which
>> may be a sensible default, but which isn't relevant to most people
>> working in GNU/Linux.)
>
> How am I supposed to know that?  I'm sure I'm not the only person afraid
> to touch it.

It does look pretty daunting as it is, but it's just a regexp to ignore
files and you can put whatever you want in it.  And I don't think that's
unclear from the doc string, so I don't think there's anything to fix here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no